{
  "name": "ipi-cicd-express-testing",
  "version": "1.0.0",
  "description": "Tests d'intégration de routes Express",
  "main": "index.js",
  "scripts": {
    "build": "tsc -p tsconfig.build.json",
    "lint": "eslint --ext .ts --fix src/",
    "dev": "nodemon --exec ts-node src/index.ts",
    "start": "node dist/index",
    "migrate:up:dev": "db-migrate up -e development",
    "migrate:up:test": "db-migrate up -e test",
    "migrate:up": "db-migrate up -e production",
    "test:run": "jest",
    "test": "run-s migrate:up:test test:run"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/express": "^4.17.21",
    "@types/jest": "^29.5.12",
    "@types/morgan": "^1.9.9",
    "@types/node": "^20.10.3",
    "@types/supertest": "^6.0.2",
    "@typescript-eslint/eslint-plugin": "^6.4.0",
    "eslint": "^8.0.1",
    "eslint-config-standard-with-typescript": "^40.0.0",
    "eslint-plugin-import": "^2.25.2",
    "eslint-plugin-n": "^15.0.0 || ^16.0.0 ",
    "eslint-plugin-promise": "^6.0.0",
    "jest": "^29.7.0",
    "nodemon": "^3.0.2",
    "npm-run-all": "^4.1.5",
    "supertest": "^6.3.4",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.1",
    "typescript": "*"
  },
  "dependencies": {
    "db-migrate": "^0.11.14",
    "db-migrate-sqlite3": "^0.5.0",
    "dotenv": "^16.4.1",
    "express": "^4.18.2",
    "morgan": "^1.10.0",
    "sqlite3": "^5.1.7"
  }
}
